1
0
Эх сурвалжийг харах

git: ignore detached heads in checkout hook

Thomas Dy 1 жил өмнө
parent
commit
231c18e221

+ 5 - 0
.config/git/hooks/post-checkout

@@ -1,5 +1,10 @@
 #!/usr/bin/env bash
 #!/usr/bin/env bash
 
 
+# ignore detached heads
+if ! git symbolic-ref -q HEAD > /dev/null; then
+  exit
+fi
+
 # ignore non-branch checkouts
 # ignore non-branch checkouts
 if [[ "$3" != "1" ]]; then
 if [[ "$3" != "1" ]]; then
   exit
   exit